ServiceType (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs

## Class ServiceType

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.ServiceType

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ServiceType
      extends ASN1Object

  ServiceType ::= ENUMERATED { cpd(1), vsd(2), cpkc(3), ccpd(4) }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ServiceType` | `CCPD` Identifier of CCPD service (Certify Claim of Possession of Data).
    `static ServiceType` | `CPD` Identifier of CPD service (Certify Possession of Data).
    `static ServiceType` | `VPKC` Identifier of VPKC service (Verify Public Key Certificates (also referred to as CPKC)).
    `static ServiceType` | `VSD` Identifier of VSD service (Verify Signed Document).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceType(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceType` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static ServiceType` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getValue()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CPD

          public static final ServiceType CPD

      Identifier of CPD service (Certify Possession of Data).

    - #### VSD

          public static final ServiceType VSD

      Identifier of VSD service (Verify Signed Document).

    - #### VPKC

          public static final ServiceType VPKC

      Identifier of VPKC service (Verify Public Key Certificates (also referred to as CPKC)).

    - #### CCPD

          public static final ServiceType CCPD

      Identifier of CCPD service (Certify Claim of Possession of Data).

  - ### Constructor Detail

    - #### ServiceType

          public ServiceType(int value)

  - ### Method Detail

    - #### getInstance

          public static ServiceType getInstance(java.lang.Object obj)

    - #### getInstance

          public static ServiceType getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

    - #### getValue

          public java.math.BigInteger getValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`